# std::putchar

From cppreference.com
< cpp‎ | io‎ | c

Defined in header `<cstdio>` |  |
int putchar( int ch ); |  |

Writes a character `ch` to `stdout`. Internally, the character is converted to unsigned char just before being written.

Equivalent to putc(ch, stdout).

### Parameters

ch | - | character to be written

### Return value

On success, returns the written character.

On failure, returns EOF and sets the error indicator (see ferror()) on stdout.

### Example

Run this code

    #include <cstdio>

    int main()
    {
        for (char c = 'a'; c != 'z'; c++)
            std::putchar(c);
        std::putchar('\n');

        // putchar return value is not equal to the argument
        int r = 0x1070;
        std::printf("\n0x%x\n", r);
        r = std::putchar(r);
        std::printf("\n0x%x\n", r);
    }

Output:

    abcdefghijklmnopqrstuvwxy
    0x1070
    p
    0x70

### See also

fputc putc | writes a character to a file stream (function)
C documentation for putchar

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/c/putchar&oldid=65969"